Bug 905389 - Review Request: rubygem-json15 - JSON implementation in Ruby (version 1.5.x)
Review Request: rubygem-json15 - JSON implementation in Ruby (version 1.5.x)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 905396
  Show dependency treegraph
 
Reported: 2013-01-29 05:13 EST by Ingvar Hagelund
Modified: 2013-02-04 08:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 08:02:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2013-01-29 05:13:35 EST
Spec URL: http://users.linpro.no/ingvar/vagrant/f18/specs/rubygem-json15.spec
SRPM URL: http://users.linpro.no/ingvar/vagrant/f18/src/rubygem-json15-1.5.4-1.fc18.src.rpm

Description:
In my quest to build a native package of vagrant, I needed rubygem-json-1.5.x. Current Fedoras have moved past this months ago (atm, f18 has 1.6.5, rawhide has 1.7.5). So I wrapped a versioned package rubygem-json15.

The package description will be the same as in the current version:

This is a implementation of the JSON specification according
to RFC 4627 in Ruby.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

See also #905240

Fedora Account System Username: ingvar
Comment 1 Vít Ondruch 2013-01-29 10:28:42 EST
I am wondering if there is any reason to not move to the latest json, except that something is written in vagrant's .gemspec file? Have you tried to ask upstream and possibly solve this issue?

Also, if this is intended to be dependency of vagrant, it might be useful to make this issue block the vagrant review.

Thank you.
Comment 2 Ingvar Hagelund 2013-01-29 15:18:25 EST
Vít,

I have no other use for this package than as a requisite for vagrant, #905396.

Next upstream release of vagrant will have fixed this. Current git master can use the json gem that is in f18.

So, should I just wait for upstream?

Ingvar
Comment 3 Vít Ondruch 2013-01-30 02:58:01 EST
(In reply to comment #2)
> Vít,
> 
> I have no other use for this package than as a requisite for vagrant,
> #905396.
> 
> Next upstream release of vagrant will have fixed this. Current git master
> can use the json gem that is in f18.

Great!

> So, should I just wait for upstream?

I would say this is the best option (or push upstream a bit to release what they have :). Or backport relevant patches, but you might get into troubles due to bundler.
Comment 4 Ingvar Hagelund 2013-02-04 08:02:45 EST
Okay, I've moved to upstream development version of vagrant, and will follow till it releases. Closing this now as wontfix.

Note You need to log in before you can comment on or make changes to this bug.